%define upstream_name    Starlet
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A simple, high-performance PSGI/Plack HTTP server
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(LWP::UserAgent) >= 5.800.0
BuildRequires: perl(Parallel::Prefork) >= 0.170.0
BuildRequires: perl(Plack) >= 0.992.0
BuildRequires: perl(Server::Starter) >= 0.60.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::TCP) >= 2.100.0
BuildArch:  noarch

%description
Starlet is a standalone HTTP/1.0 server with keep-alive support, formerly
known as the Plack::Server::Standalone::Prefork manpage and the
Plack::Server::Standalone::Prefork::Server::Starter manpage.

The server supports following features, and is suitable for running HTTP
application servers behind a reverse proxy.

- prefork and graceful shutdown using the Parallel::Prefork manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-2.mga6
+ Revision: 1033339
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.290.0-1.mga6
+ Revision: 1002302
- New version 0.29

* Fri Feb 19 2016 umeabot <umeabot> 0.260.0-2.mga6
+ Revision: 968923
- Mageia 6 Mass Rebuild

  + sander85 <sander85>
    - update to 0.26

* Sun Jul 26 2015 shlomif <shlomif> 0.250.0-1.mga6
+ Revision: 857966
- New version 0.25

  + umeabot <umeabot>
    - Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.240.0-3.mga5
+ Revision: 741654
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon May 26 2014 sander85 <sander85> 0.240.0-1.mga5
+ Revision: 626818
- update to 0.24

* Tue May 06 2014 jquelin <jquelin> 0.230.0-1.mga5
+ Revision: 620763
- update to 0.23

* Fri Apr 18 2014 jquelin <jquelin> 0.220.0-1.mga5
+ Revision: 616324
- update to 0.22

* Sat Feb 08 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 586057
- update to 0.21

* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-2.mga4
+ Revision: 532891
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 sander85 <sander85> 0.200.0-1.mga4
+ Revision: 470267
- update to 0.20

* Wed Jun 26 2013 jquelin <jquelin> 0.190.0-1.mga4
+ Revision: 447090
- update to 0.19

* Fri Jun 07 2013 jquelin <jquelin> 0.180.0-1.mga4
+ Revision: 439882
- update to 0.18

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 372738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.160.0-1.mga3
+ Revision: 295152
- update to 0.16

* Fri Aug 31 2012 kharec <kharec> 0.150.0-1.mga3
+ Revision: 286492
- update to 0.15

* Sat Nov 05 2011 kharec <kharec> 0.140.0-1.mga2
+ Revision: 163559
- update to 0.14

  + jquelin <jquelin>
    - imported package perl-Starlet


* Mon Jul 25 2011 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
